org.apache.ignite.ml.composition

## Class ModelOnFeaturesSubspace

- java.lang.Object
- - org.apache.ignite.ml.composition.ModelOnFeaturesSubspace

- All Implemented Interfaces:
    Serializable, AutoCloseable, IgniteModel<Vector,Double>, Model<Vector,Double>

      public final class ModelOnFeaturesSubspace
      extends Object
      implements IgniteModel<Vector,Double>

  Model trained on a features subspace with mapping from original features space to subspace.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Integer,Integer>` | `getFeaturesMapping()` Returns features mapping.
    `IgniteModel<Vector,Double>` | `getMdl()` Returns model.
    `Double` | `predict(Vector features)` Projects features vector to subspace in according to mapping and apply model to it.
    `String` | `toString()`
    `String` | `toString(boolean pretty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine`

- - ### Method Detail

    - #### predict

          public Double predict(Vector features)

      Projects features vector to subspace in according to mapping and apply model to it.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Parameters:
        `features` - Features vector.
      Returns:
        Estimation.

    - #### getFeaturesMapping

          public Map<Integer,Integer> getFeaturesMapping()

      Returns features mapping.

    - #### getMdl

          public IgniteModel<Vector,Double> getMdl()

      Returns model.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString(boolean pretty)

      Specified by:
        `toString` in interface `IgniteModel<Vector,Double>`
      Parameters:
        `pretty` - Use pretty mode.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023